package org.yacos.web.chairman.controller;

public class CriterionBean {

	private int id;
	private String label;
    private int min;
    private int max;
    
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getLabel() {
		return label;
	}
	public void setLabel(String label) {
		this.label = label;
	}
	public int getMin() {
		return min;
	}
	public void setMin(int min) {
		this.min = min;
	}
	public int getMax() {
		return max;
	}
	public void setMax(int max) {
		this.max = max;
	}
	
	public int hashCode()
    {
        return 5924 + id;
    }
	
	public boolean equals(Object obj)
    {
        if (obj == null)
        {
            return false;
        }

        if (obj == this)
        {
            return true;
        }

        if (!this.getClass().equals(obj.getClass()))
        {
            return false;
        }

        CriterionBean that = (CriterionBean) obj;

        if (this.id != that.id)
        {
            return false;
        }

        return true;
    }
	
}
